Description

Currently gdalwarp fails in Processing and elsewhere:

gdalwarp -ot Float32 -q -of GTiff -cutline watersheds.shp -co

COMPRESS=DEFLATE -co PREDICTOR=1 -co ZLEVEL=6 -wo OPTIMIZE_SIZE=TRUE

dem25.tif OUTPUT.tif

and I get

GDAL command output:

Warning 1: Self-intersection at or near point 583.00000000000182 326

ERROR 1: Cutline is not valid after transformation

A reasonable solution is to add GDALWARP_IGNORE_BAD_CUTLINE YES by default, and perhaps an extra

option to disable it.

See https://lists.osgeo.org/pipermail/gdal-dev/2016-October/045341.html for a detailed explanation.

Associated revisions

Revision 323c6582 - 2016-10-25 04:48 PM - Alexander Bruy

[processing] add workaround for GDAL regression with cutlines (fix #15746)

History

#1 - 2016-10-24 04:06 AM - Even Rouault

The above mentionned GDAL 2.1.0 regression will be fixed in the upcomping GDAL 2.1.2 per https://trac.osgeo.org/gdal/ticket/6694

#2 - 2016-10-25 07:48 AM - Alexander Bruy

Fix pushed to master. Please test

#3 - 2016-10-25 07:50 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"323c6582c605362dfe6e6db734a40923c9fc3e21".
